| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Enumerations
OgreLog.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::Log
| More...
class | Ogre::Log::Stream
| Stream object which targets a log. More...
struct | Ogre::Log::Stream::Flush
| Simple type to indicate a flush of the stream to the log. More...
class | Ogre::LogListener

## Namespaces
| Ogre

## Macros
#define | OGRE_LOG_THRESHOLD 4

## Enumerations
enum | Ogre::LoggingLevel { Ogre::LL_LOW = 1, Ogre::LL_NORMAL = 2, Ogre::LL_BOREME = 3 }
| The level of detail to which the log will go into. More...
enum | Ogre::LogMessageLevel { Ogre::LML_TRIVIAL = 1, Ogre::LML_NORMAL = 2, Ogre::LML_WARNING = 3, Ogre::LML_CRITICAL = 4 }
| The importance of a logged message. More...